Description

The import facility for environments and puppetclasses was updated in the GUI but there was a rake task that called the old API and

this does not work now.

Related issues:

Related to Foreman - Bug #239: Class import doesn't prune erased classes Closed 05/06/2010

Associated revisions

Revision 41d40698 - 10/26/2010 04:52 PM - Paul Kelly

Fixes #386 - Updated rake puppet:import_classes to support the new API

The rake task now queries for the changes and then performs the update.

Some additional sanity checking is performed in the execution phase.

A batch mode is provided via rake puppet:import:puppet_classes[true]. When

"true" is passed to this task then no user imput is required.

If the file config/ignored_classes_and_environments.yml is present then

its contents are stripped from the set of changes that the puppetclass

import will attempt to do. There is also a self documenting sample file in

extras/ignored_classes_and_environments.yml.sample

History

#1 - 09/23/2010 02:17 PM - Paul Kelly

- Subject changed from Import host and classes shold be callable from a rake task to ImportClasses should be callable from a rake task

#2 - 09/23/2010 07:36 PM - Ohad Levy

- Target version set to 0.1-6

#3 - 09/25/2010 09:27 AM - Paul Kelly

- Status changed from New to Ready For Testing

- Branch set to bug/386-rake-calls-importClasses

Updated the rake task

#4 - 10/03/2010 03:13 PM - Ohad Levy

i think you need to add support for actions via parameters, as this might be called from a cron job, or a repo hook script.

#5 - 10/05/2010 02:24 PM - Paul Kelly

A batch mode has been supplied that requires no interaction. Activate by rake puppet:import:puppet_classes[true]

If the file config/ignored_classes_and_environments.yml is present then its contents are stripped from the set of changes that the puppetclass

import will attempt to do. There is also a self documenting sample file in extras/ignored_classes_and_environments.yml.sample
#6 - 10/09/2010 09:24 AM - Paul Kelly

rebased and tested

#7 - 10/10/2010 01:16 PM - Ohad Levy

- Status changed from Ready For Testing to Feedback

while trying to test, i've got the following test failing:

  1) Failure:

test_should_obey_config/ignored_classes_and_environments.yml(EnvironmentsControllerTest) [/test/functional/env

ironments_controller_test.rb:149]:

not all expectations were satisfied

unsatisfied expectations:

- expected at least once, not yet invoked: Puppetclass(id: integer, name: string, nameindicator: string, opera

tingsystem_id: integer, created_at: datetime, updated_at: datetime).scanForClasses(any_parameters)

satisfied expectations:

- expected at least once, already invoked once: Environment(id: integer, name: string, created_at: datetime, u

pdated_at: datetime).puppetEnvs(any_parameters)

#8 - 10/26/2010 09:42 PM - Paul Kelly

- Status changed from Feedback to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 41d4069818b46c9c0810854690f5219f118d05c7.

#9 - 10/28/2010 02:16 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
